Foreman - Bug #1398

show all puppetclasses in host view is broken
12/14/2011 04:18 PM - Florian Koch

Status: Closed
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
hi,

the show all puppetclasses button in the hosts view is broken, there is at least one class assigned to the host, but the button is
"greyed", if i push the button i only see a class named main, but not the class which is assinged.

rgds f0O

History

#1 - 12/15/2011 01:52 PM - Florian Koch

today with the latest git version , the view works

#2 - 12/15/2011 01:52 PM - Florian Koch

- Status changed from New to Closed

#3 - 12/19/2011 02:40 AM - Florian Koch
- Status changed from Closed to Assigned

- Assignee set to Ohad Levy

need to reopen this, can not say exactly it is resolved, found another host with this in my install...

#4 - 12/19/2011 02:42 AM - Ohad Levy

sadly, that content comes from storeconfigs directly, so we just print whatever puppet stores in the db...

#5 - 12/20/2011 06:50 AM - Ohad Levy

- Status changed from Assigned to Need more information
- Assignee deleted (Ohad Levy)

- Target version deleted (1.0)

#6 - 01/03/2012 03:29 PM - Florian Koch

- Status changed from Need more information to Closed
hi,
this was a misunderstanding, puppet must run first, then this view works

rgds florian
